@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


$editor-defaults__inline-box--height: 40px;
$default-multi-reference-editor__list-item-actiondots-icon--size: 24px;
$default-multi-reference-editor__list-item-actiondots-icon--2size: 36px;
$default-multi-reference-editor--list-item-actiondots-button--margin-x: 40px;
$warehouse-inbox--border-top: 1px solid $grey__light--200;
$warehouse-inbox-quicklist--border-bottom:1px solid $grey__light--500;
$quicklist-warehousing--tile-title--margin: 15px 0 0 10px;
$quicklist-warehousing--tile--border-bottom: 1px solid $grey__light--800;
$quicklist-warehousing--tile--img--margin: 10px;
$quicklist-warehouse-inbox-quick-list--custom-bckg: $white;

td.ye-actiondots.ye-actiondots--consignment {

    .z-listcell-content{
        padding-right: 0 !important;
    }

    button.ye-actiondots--btn.ye-actiondots--consignment--btn{
        background: url("images/dots.png") 0 0;
        background-image: url("images/dots.png");
        background-repeat: no-repeat;
        height: $default-multi-reference-editor__list-item-actiondots-icon--size;
        width: $default-multi-reference-editor__list-item-actiondots-icon--2size;
        display: inline-block;
        padding: 0;
        float: right;
        border: none; 
    }
    &:last-child {
        text-align: right;
    }
    &:hover {
        button.ye-actiondots--btn.ye-actiondots--consignment--btn {
            background-position: 0 (-$default-multi-reference-editor__list-item-actiondots-icon--size);
            background-repeat: no-repeat;
            height: $default-multi-reference-editor__list-item-actiondots-icon--size;
            width: $default-multi-reference-editor__list-item-actiondots-icon--2size;
        }
    }
    &-focus button.ye-actiondots--btn.ye-actiondots--consignment--btn {
        background-position: 0 (-2* $default-multi-reference-editor__list-item-actiondots-icon--size);
    }
    &-active button.ye-actiondots--btn.ye-actiondots--consignment--btn {
        background-position: 0 (-2* $default-multi-reference-editor__list-item-actiondots-icon--size);
    }
    &-disabled {
        &, &:hover > button.ye-actiondots--btn.ye-actiondots--consignment--btn {
            background-position: 0 (-3* $default-multi-reference-editor__list-item-actiondots-icon--size);
        }
    }
}

.ye-warehouse-inbox-collection-browser .yw-coll-browser-container .z-listbox-body .z-listitem .z-listcell{
    border-top: $warehouse-inbox--border-top;
}
.ye-warehouse-inbox-collection-browser .yw-coll-browser-container .z-listbox-body .z-listitem > td > .z-listcell-content:after{
    border-top: 0px;
}

.yw-coll-browser-container .ye-actiondots--consignment.ye-actiondots .z-listcell-content{
    min-height: initial;
    margin-right: initial;
}

.yw-quicklist-warehousing-hbox-container{
    width: 100%;
    border-bottom: $warehouse-inbox-quicklist--border-bottom;
}

.yw-quicklist-warehousing--tile-title{
    margin: $quicklist-warehousing--tile-title--margin;
    font-weight: bold;
    display: block;
}

.yw-quicklist-warehousing--tile{
    border-bottom: $quicklist-warehousing--tile--border-bottom;
}

.yw-quicklist-warehousing--tile--img{
    margin: $quicklist-warehousing--tile--img--margin;
}

.yw-quicklist-warehousing--tile--prod-code{
    margin-top: $quicklist-warehousing--tile--img--margin;
    display: block;
}

.yw-quicklist.ye-warehouse-inbox-quick-list{
    background-color: $quicklist-warehouse-inbox-quick-list--custom-bckg;
}
